Set where the custom domain's blog is served
curl --request PATCH \
--url https://api.snowseo.com/v3/custom-domains/path-prefix \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"teamId": "<string>",
"pathPrefix": "<string>",
"publicUrl": "<string>"
}
'import requests
url = "https://api.snowseo.com/v3/custom-domains/path-prefix"
payload = {
"teamId": "<string>",
"pathPrefix": "<string>",
"publicUrl": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({teamId: '<string>', pathPrefix: '<string>', publicUrl: '<string>'})
};
fetch('https://api.snowseo.com/v3/custom-domains/path-prefix', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.snowseo.com/v3/custom-domains/path-prefix",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'teamId' => '<string>',
'pathPrefix' => '<string>',
'publicUrl' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.snowseo.com/v3/custom-domains/path-prefix"
payload := strings.NewReader("{\n \"teamId\": \"<string>\",\n \"pathPrefix\": \"<string>\",\n \"publicUrl\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.snowseo.com/v3/custom-domains/path-prefix")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"teamId\": \"<string>\",\n \"pathPrefix\": \"<string>\",\n \"publicUrl\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.snowseo.com/v3/custom-domains/path-prefix")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"teamId\": \"<string>\",\n \"pathPrefix\": \"<string>\",\n \"publicUrl\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"pathPrefix": "<string>",
"publicUrl": "<string>"
}
}Settings
Set the Blog Path
Choose where the custom domain serves the SnowCMS blog.
PATCH
/
v3
/
custom-domains
/
path-prefix
Set where the custom domain's blog is served
curl --request PATCH \
--url https://api.snowseo.com/v3/custom-domains/path-prefix \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"teamId": "<string>",
"pathPrefix": "<string>",
"publicUrl": "<string>"
}
'import requests
url = "https://api.snowseo.com/v3/custom-domains/path-prefix"
payload = {
"teamId": "<string>",
"pathPrefix": "<string>",
"publicUrl": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({teamId: '<string>', pathPrefix: '<string>', publicUrl: '<string>'})
};
fetch('https://api.snowseo.com/v3/custom-domains/path-prefix', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.snowseo.com/v3/custom-domains/path-prefix",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'teamId' => '<string>',
'pathPrefix' => '<string>',
'publicUrl' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.snowseo.com/v3/custom-domains/path-prefix"
payload := strings.NewReader("{\n \"teamId\": \"<string>\",\n \"pathPrefix\": \"<string>\",\n \"publicUrl\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.snowseo.com/v3/custom-domains/path-prefix")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"teamId\": \"<string>\",\n \"pathPrefix\": \"<string>\",\n \"publicUrl\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.snowseo.com/v3/custom-domains/path-prefix")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"teamId\": \"<string>\",\n \"pathPrefix\": \"<string>\",\n \"publicUrl\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"pathPrefix": "<string>",
"publicUrl": "<string>"
}
}Set
pathPrefix to the path the connected custom domain serves the blog under (for example /blog), and publicUrl to the URL search engines should index. Omitted fields keep their value; null clears one.
Returns 400 when no custom domain is connected, or when the path or URL is not valid.Was this page helpful?

